Show / Hide Table of Contents

# Enum EmbedType

Specifies the type of embed.

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public enum EmbedType

### Fields

Name | Description
--- | ---
Article | An article embed type.
Gifv | A GIFV embed type.
Html | A HTML embed type.
Image | An image embed type.
Link | A link embed type.
Rich | A rich embed type.
Tweet | A tweet embed type.
Unknown | An unknown embed type.
Video | A video embed type.

### Extension Methods

EnumExtensions.GetAttribute<TAttribute>()